For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
        • GETList SCIM Directories
        • POSTCreate SCIM Directory
        • GETGet SCIM Directory
        • PATCHUpdate SCIM Directory
        • POSTRotate SCIM Directory Bearer Token
Login
Logo
API ReferenceManagement APIScim Directories

Create SCIM Directory

POST
https://api.ssoready.com/v1/scim-directories
POST
/v1/scim-directories
$curl -X POST https://api.ssoready.com/v1/scim-directories \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "scimDirectory": {
3 "id": "id",
4 "organizationId": "organizationId",
5 "primary": true,
6 "scimBaseUrl": "scimBaseUrl",
7 "hasClientBearerToken": true
8 }
9}
Creates a SCIM directory.
Was this page helpful?
Previous

Get SCIM Directory

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
idstringOptional
Unique identifier for this SCIM directory.
organizationIdstringOptional
The organization this SCIM directory belongs to.
primarybooleanOptional
Whether this is the primary SCIM directory for the organization.
scimBaseUrlstringOptional
Base URL the Identity Provider uses to perform SCIM HTTP requests. SCIM base URLs are assigned by SSOReady, and need to be inputted into your customer's Identity Provider.
hasClientBearerTokenbooleanOptional
Whether this SCIM directory has a bearer token assigned. SSOReady only stores a hash of the bearer token. To get a bearer token value, you must rotate this SCIM directory's bearer token.

Response

OK
scimDirectoryobject
The updated SCIM directory.